package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 打卡图片类型对象 app_check_image_type
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppCheckImageType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 打卡图片类型编号 */
    private Long checkImageTypeId;

    /** 打卡图片类型名称 */
    @Excel(name = "打卡图片类型名称")
    private String checkImageTypeName;

    /** 打卡图片类型最大数量 */
    @Excel(name = "打卡图片类型最大数量")
    private Long checkImageTypeMax;

    /** 打卡图片类型最小数量 */
    @Excel(name = "打卡图片类型最小数量")
    private Long checkImageTypeMin;

    /** 删除标识 */
    private Integer delFlag;

    public void setCheckImageTypeId(Long checkImageTypeId) 
    {
        this.checkImageTypeId = checkImageTypeId;
    }

    public Long getCheckImageTypeId() 
    {
        return checkImageTypeId;
    }
    public void setCheckImageTypeName(String checkImageTypeName) 
    {
        this.checkImageTypeName = checkImageTypeName;
    }

    public String getCheckImageTypeName() 
    {
        return checkImageTypeName;
    }
    public void setCheckImageTypeMax(Long checkImageTypeMax) 
    {
        this.checkImageTypeMax = checkImageTypeMax;
    }

    public Long getCheckImageTypeMax() 
    {
        return checkImageTypeMax;
    }
    public void setCheckImageTypeMin(Long checkImageTypeMin) 
    {
        this.checkImageTypeMin = checkImageTypeMin;
    }

    public Long getCheckImageTypeMin() 
    {
        return checkImageTypeMin;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkImageTypeId", getCheckImageTypeId())
            .append("checkImageTypeName", getCheckImageTypeName())
            .append("checkImageTypeMax", getCheckImageTypeMax())
            .append("checkImageTypeMin", getCheckImageTypeMin())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
